@charset "UTF-8";

:root {
    --header-height: 70px;
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    width: 100vw;
    height: var(--header-height);
    box-sizing: border-box;
    background: var(--color-surface-light);
    color: var(--text-main);
    z-index: 100;

    display: flex;
    align-items: center;

    padding-left: var(--logo-left);

    opacity: 0;
    pointer-events: none;

    transition: opacity var(--duration-nav) var(--ease-header-scroll);
}

.header.active {
    opacity: 1;
    pointer-events: auto;
}

.header__logo-picture {
    position: relative;
    display: block;
    height: var(--logo-height);
    width: auto;
    z-index: 10;
}

.header__logo-picture img {
    display: block;
    height: 100%;
    width: auto;
    max-width: none;
}


